function fillBoboresConfig()

	config["gold-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=4, starting=0},
	}
	config["silver-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=4, starting=0},
	}

	config["lead-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=3, starting=1},
	}

	config["tin-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=5, starting=2},
	}

	config["tungsten-ore"] = {
		type="resource-ore",
		allotment=30,
		spawns_per_region={min=1, max=1},
		size={min=2, max=3, starting=0},
	}

	config["zinc-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=4, starting=1},
	}

	config["bauxite-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=4, starting=0},
	}

	config["rutile-ore"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=3, starting=0},
	}

	config["quartz"] = {
		type="resource-ore",
		allotment=40,
		spawns_per_region={min=1, max=1},
		size={min=2, max=4, starting=1},
	}

	-- check if Nickel, Cobalt, Sulfur or GemOre is added by bobs ores
	if game.entity_prototypes["cobalt-ore"] then
		config["cobalt-ore"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=2, max=5, starting=0},
		}
	end

	if game.entity_prototypes["nickel-ore"] then
		config["nickel-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=2, max=5, starting=1},
		}

	end

	if game.entity_prototypes["sulfur"] then
		config["sulfur"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=2, max=4, starting=0},
		}
	end

	if game.entity_prototypes["gem-ore"] then
		config["gem-ore"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=1, max=3, starting=0},
		}
	end

end
